Bug 132175 - kernel panic when going to runlevel 3
kernel panic when going to runlevel 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-09 13:06 EDT by Matthias Clasen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 00:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2004-09-09 13:06:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The console shows the following:

Settings network parameters [OK]
Unable to handle kernel NULL pointer dereference at virtual address
00000000
  printing eip:
12d34bdd
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: md5 ipv6 parport_pc lp parport autofs4 sunrpc
uhci_hcd matroxfb_base matroxfb_DAC1064 matroxfb_accel matroxfb_Ti3026
matroxfb_g450 g450_pll matroxfb_misc snd_cs46xx snd_rawmidi
snd_seq_device snd_ac97_codec snd_pcm_oss snd_mixer_oss
snd_pcm_snd_timer snd soundcore snd_page_alloc gameport 3c59x floppy
ext3 jbd dm_mod
CPU:  0
EIP: 0060:[<12d34bdd>] Not tainted VLI
EFLAGS: 0010202 (2.6.8-1.541)
EIP is at ip6_route_input+0x130/0x220 [ipv6]
eax: 00000000 ebx: 00000000 ecx: 00000002 edx: 12d59ec0
esi: 12d59ec0 edi 12d59 f9c ebp: 00000000 esp: 023c5f7c
Process swapper (pid: 0 threadinfo=023c5000 task=0233eb80
Stack: 00000003 00000022 0fe3bbe0 0fe3bbe0 0fe3bbe0 11e18cc0 00000000
12d2d823
 0fe3bbe0 12d5a278 0000dd86 022a2b1d 0fe3bbe0 11e18cc0 02404760 023c5fdc 
 022a2bb6 fffefffa 00000040 02404870 02404760 fffefffa 0000000b 022a2c7c
Call Trace:
 [<12d2d823>] ipv6_rcv+0x147/0x1ad [ipv6]
 [<022a2b1d>] netif_receive_skb+0x1c8/0x1f5
 [<022a2bb6>] process_backlog+0x6c/0xd9
 [<022a2c7c>] net_rx_action+0x59/0xc1
 [<02123f91>] __do_softirq+0x35/0x79
 [<02108c02>] do_softirq+0x46/0x4d
 =========================
 [<0210808b>] do_IRQ+0x2f7/0x303
 [<0210403b>] default_idle+0x23/0x26
 [<021166a8>] apm_cpu_idle+0xf0/0x128
 [<0210408c>] cpu_idle+0x1f/0x34
 [<023996af>] start_kernel+0x216/0x219
Code: 0f 85 40 ff ff ff eb e0 8b 48 34 31 db 85 c9 74 48 85 f6 89 f2
74 42 8b 42 10 39 48 34 74 36 f6 40 54 08 74 24 8b 82 8c 00 00 00 <8b>
00 39 48 34 74 15 85 db 74 11 85 c9 74 0f 8b 83 8c 00 00 00
<0>Kernel panic - not syncing: Fatal exception in interrupt


Version-Release number of selected component (if applicable):
kernel-2.6.8-1.541

How reproducible:
Always

Steps to Reproduce:
1. boot in single user mode
2. telinit 3

    

Additional info:
Comment 1 David Miller 2004-09-09 13:33:19 EDT
Fixed in current upstream 2.6.x
Comment 2 Matthias Clasen 2004-09-29 00:22:57 EDT
Fixed by a newer rawhide kernel, indeed.

Note You need to log in before you can comment on or make changes to this bug.